Subject: Re: [OPSAWG] Use of DHCP to provision routers

From: Tom Taylor <[email-masked]>
Date: Wed, 24 Jul 2013 08:56:51 -0400

On 18/06/2013 4:42 PM, George, Wes wrote:
>> From: [email-masked] [mailto:[email-masked]] On
>> Behalf Of Adrian Farrel Sent: Tuesday, June 18, 2013 2:24 PM To:
>> 'Tom Taylor'; [email-masked] Subject: Re: [OPSAWG] Use of DHCP to
>> provision routers
>>
>> I find it a bit surprising that a backbone network router or a
>> router in an access network would benefit from "dynamic"
>> configuration.
>
> [WEG] Well, renumbering would be easier in some cases. Instead of
> talking about it in terms of DHCP, you may want to think of it more
> in terms of separating the IP from the miscellaneous subtending
> configuration that depends on it in something like a router (neighbor
> config, ACLs, etc). In other words, why does the IP config need to be
> static, what actually breaks? You probably can make a distinction
> between things like WAN IPs and things like loopbacks. To go further,
> how many of those breakage cases are solved if you can refer to the
> device via DNS instead of by IP (yes, this adds a failure domain,
> just follow me for a second) or use config that works by pulling the
> assigned IP into the right places elsewhere in the config? Not trying
> to minimize the scale and other issues with the bootstrapping
> problem, just framing the question a little differently. 6renum
> definitely spent some time talking about things like parameterized
> config and inheritance to address the fact that many IP addresses in
> a router affect multiple parts of the config such that you have to
> change it multiple places. Also things like ILNP focus on splitting
> locator and identifier so that one can change without affecting the
> other. Making a network work with dynamically configured addresses
> goes in that general direction. But that sort of digresses from the
> original question...
>>
>> At this point, I'd probably like to sit down and think about the
>> problem before jumping to use DHCP.
>>
>> A
> [WEG] Generally I agree. In a lot of cases, the problem may be better
> solved by proper element management systems to push the right config
> to the right places, rather than using DHCP in lieu of such, but
> depending on the application, DHCP may be the right level of
> lightweight where a heavyweight element management system might not
> be the right choice, especially for (lots of ) small devices that are
> supposed to boot and configure themselves with little or no human
> hand-holding or preconfiguration.
>
...
I dropped this conversation a bit early. I'm informed that we're really 
talking about mobile backhaul, not core and access. That suggests we 
meet Wes's conditions and DHCP is OK for the purpose.

Tom Taylor